## Settings file was created by plugin Screenshot Manager v16.8.1
## Plugin GUID: com.bepis.bepinex.screenshotmanager

[360 Screenshots]

## Horizontal resolution (width) of 360 degree/panorama screenshots. Decrease if you have issues. WARNING: Memory usage can get VERY high - 4096 needs around 4GB of free RAM/VRAM to create, 8192 will need much more.
# Setting type: Int32
# Default value: 4096
# Acceptable values: 1024, 2048, 4096, 8192
360 screenshot resolution = 4096

[3D Settings]

## Distance between the two captured stereoscopic screenshots in arbitrary units.
# Setting type: Single
# Default value: 0.18
# Acceptable value range: From 0.01 to 0.5
3D screenshot eye separation = 0.18

## Move images in stereoscopic screenshots closer together by this percentage (discards overlapping parts). Useful for viewing with crossed eyes. Does not affect 360 stereoscopic screenshots.
# Setting type: Single
# Default value: 0.25
# Acceptable value range: From 0 to 1
3D screenshot image separation offset = 0.25

## Lower quality = lower file sizes. Even 100 is worse than a .png file.
# Setting type: Int32
# Default value: 100
# Acceptable value range: From 1 to 100
Quality of .jpg files = 100

[General]

## Whether screenshot messages will be displayed on screen. Messages will still be written to the log.
# Setting type: Boolean
# Default value: true
Show messages on screen = true

## Screenshots will be saved with names of the selected format. Name stands for the current game name (CharaStudio, Koikatu, etc.)
# Setting type: NameFormat
# Default value: NameDateType
# Acceptable values: NameDate, NameTypeDate, NameDateType, TypeDate, TypeNameDate, Date
Screenshot filename format = NameDateType

## Forces the Name part of the filename to always be this instead of varying depending on the name of the current game. Use "Koikatsu" to get the old filename behaviour.
# Setting type: String
# Default value: 
Screenshot filename Name override = 

[JPG Settings]

## Save screenshots in lower quality in return for smaller file sizes. Transparency is NOT supported in .jpg screenshots. Strongly consider not using this option if you want to share your work.
# Setting type: Boolean
# Default value: false
Save screenshots as .jpg instead of .png = false

[Keyboard shortcuts]

## Capture a simple "as you see it" screenshot of the game. Not affected by settings for rendered screenshots.
# Setting type: KeyboardShortcut
# Default value: F9
Take UI screenshot = F9

## Take a screenshot with no interface. Can be configured by other settings to increase quality and turn on transparency.
# Setting type: KeyboardShortcut
# Default value: F11
Take rendered screenshot = F11

## Captures a 360 screenshot around current camera. The created image is in equirectangular format and can be viewed by most 360 image viewers (e.g. Google Cardboard).
# Setting type: KeyboardShortcut
# Default value: F11 + LeftControl
Take 360 screenshot = F11 + LeftControl

## Open a quick access window with the most common settings.
# Setting type: KeyboardShortcut
# Default value: F11 + LeftShift
Open settings window = F11 + LeftShift

## Capture a high quality screenshot without UI in stereoscopic 3D (2 captures for each eye in one image). These images can be viewed by crossing your eyes or any stereoscopic image viewer.
# Setting type: KeyboardShortcut
# Default value: F11 + LeftAlt
Take rendered 3D screenshot = F11 + LeftAlt

## Captures a 360 screenshot around current camera in stereoscopic 3D (2 captures for each eye in one image). These images can be viewed by image viewers supporting 3D stereo format (e.g. VR Media Player - 360° Viewer).
# Setting type: KeyboardShortcut
# Default value: F11 + LeftShift + LeftControl
Take 360 3D screenshot = F11 + LeftShift + LeftControl

[Render Output Resolution]

## Raise maximum rendered screenshot resolution cap to 16k. Trying to take a screenshot too high above 4k WILL CRASH YOUR GAME. ALWAYS SAVE BEFORE ATTEMPTING A SCREENSHOT AND MONITOR RAM USAGE AT ALL TIMES. Changes take effect after restarting the game.
# Setting type: Boolean
# Default value: false
Allow extreme resolutions = false

## Horizontal size (width) of rendered screenshots in pixels. Doesn't affect UI and 360 screenshots.
# Setting type: Int32
# Default value: 1920
# Acceptable value range: From 2 to 4096
Horizontal = 1600

## Vertical size (height) of rendered screenshots in pixels. Doesn't affect UI and 360 screenshots.
# Setting type: Int32
# Default value: 1080
# Acceptable value range: From 2 to 4096
Vertical = 900

[Render Settings]

## Capture screenshots in a higher resolution and then downscale them to desired size. Prevents aliasing, perserves small details and gives a smoother result, but takes longer to create.
# Setting type: Int32
# Default value: 2
# Acceptable value range: From 1 to 4
Screenshot upsampling ratio = 2

## Capture character card images in a higher resolution and then downscale them to desired size. Prevents aliasing, perserves small details and gives a smoother result, but takes longer to create.
# Setting type: Int32
# Default value: 3
# Acceptable value range: From 1 to 4
Card image upsampling ratio = 3

## Replaces background with transparency in rendered image. Works only if there are no 3D objects covering the background (e.g. the map). Works well in character creator and studio.
# Setting type: Boolean
# Default value: true
Transparency in rendered screenshots = true

[UI Screenshots]

## Multiplies the UI screenshot resolution from the current game resolution by this amount.
## Warning: Some elements will still be rendered at the original resolution (most notably the interface).
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 1 to 8
Screenshot resolution multiplier = 1

